Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

NetWin SurgeMail <= 3.8k4-4 IMAP LIST Command Remote Overflow

Medium

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running NetWin SurgeMail, a mail server application. The remote version of this software is vulnerable to a remote buffer overflow in its IMAP component and exploit code was released. Specifically, a malformed 'LIST' command can cause the application to fail, possibly executing arbitrary code. An attacker exploiting this flaw would need the ability to authenticate as a valid user.

Solution

Upgrade to a version higher than 3.8k4-4.